aboutsummaryrefslogtreecommitdiffstats
path: root/community
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-19 09:11:35 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-19 11:24:36 +0000
commit10e32ff9d0574bdcaf0c9274717aeb853b594eb8 (patch)
tree061fe15aafb061338c29e4bd36eb6ae127ba3d27 /community
parentdc00cd0a3d90989e0753892de46d75bb31e5ef28 (diff)
downloadaports-10e32ff9d0574bdcaf0c9274717aeb853b594eb8.tar.gz
aports-10e32ff9d0574bdcaf0c9274717aeb853b594eb8.tar.bz2
aports-10e32ff9d0574bdcaf0c9274717aeb853b594eb8.tar.xz
community/perl-sub-exporter: moved from testing
Diffstat (limited to 'community')
-rw-r--r--community/perl-sub-exporter/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/community/perl-sub-exporter/APKBUILD b/community/perl-sub-exporter/APKBUILD
new file mode 100644
index 0000000000..ac96bddab1
--- /dev/null
+++ b/community/perl-sub-exporter/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-sub-exporter
+_pkgreal=Sub-Exporter
+pkgver=0.987
+pkgrel=0
+pkgdesc="a sophisticated exporter for custom-built routines"
+url="http://search.cpan.org/dist/Sub-Exporter/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-data-optlist perl-sub-install perl-params-util perl-test-pod"
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="5332d269a7ba387773fcd140b72a0ed2 Sub-Exporter-0.987.tar.gz"
+sha256sums="543cb2e803ab913d44272c7da6a70bb62c19e467f3b12aaac4c9523259b083d6 Sub-Exporter-0.987.tar.gz"
+sha512sums="6b682d27a0df8ce971ea48aeca5162e1c70929c51cf27119b30361477876b0b86ecb15ab13a6c3cbe5bb85be9e600589fb9e3c9c4e94bad3fc05b675d293adad Sub-Exporter-0.987.tar.gz"